<?php

namespace Ensi\CatalogCacheClient;

class CatalogCacheClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\CatalogCacheClient\Api\ProductGroupsApi',
        '\Ensi\CatalogCacheClient\Api\CategoriesApi',
        '\Ensi\CatalogCacheClient\Api\PropertyDirectoryValuesApi',
        '\Ensi\CatalogCacheClient\Api\DiscountsApi',
        '\Ensi\CatalogCacheClient\Api\ProductsApi',
        '\Ensi\CatalogCacheClient\Api\NameplatesApi',
        '\Ensi\CatalogCacheClient\Api\CommonApi',
        '\Ensi\CatalogCacheClient\Api\PropertiesApi',
        '\Ensi\CatalogCacheClient\Api\ElasticOffersApi',
        '\Ensi\CatalogCacheClient\Api\OffersApi',
        '\Ensi\CatalogCacheClient\Api\ElasticApi',
        '\Ensi\CatalogCacheClient\Api\BrandsApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\CatalogCacheClient\Dto\SearchDiscountsRequest',
        '\Ensi\CatalogCacheClient\Dto\PropertyDirectoryValue',
        '\Ensi\CatalogCacheClient\Dto\SearchElasticOffersResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchPropertiesRequest',
        '\Ensi\CatalogCacheClient\Dto\IndexerTimestampResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchNameplateProductsRequest',
        '\Ensi\CatalogCacheClient\Dto\ElasticNameplate',
        '\Ensi\CatalogCacheClient\Dto\ProductGroupProduct',
        '\Ensi\CatalogCacheClient\Dto\ProductGroup',
        '\Ensi\CatalogCacheClient\Dto\SearchProductsRequest',
        '\Ensi\CatalogCacheClient\Dto\IndexerTimestampReadonlyProperties',
        '\Ensi\CatalogCacheClient\Dto\ElasticOfferIncludes',
        '\Ensi\CatalogCacheClient\Dto\SearchCategoriesResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchFailedJobsResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchProductPropertyValuesRequest',
        '\Ensi\CatalogCacheClient\Dto\ProductPropertyValue',
        '\Ensi\CatalogCacheClient\Dto\SearchBrandsResponse',
        '\Ensi\CatalogCacheClient\Dto\ElasticOfferResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchBrandsRequest',
        '\Ensi\CatalogCacheClient\Dto\ErrorResponse',
        '\Ensi\CatalogCacheClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\CatalogCacheClient\Dto\SearchDiscountsResponse',
        '\Ensi\CatalogCacheClient\Dto\ErrorResponse2',
        '\Ensi\CatalogCacheClient\Dto\Discount',
        '\Ensi\CatalogCacheClient\Dto\RequestBodyCursorPagination',
        '\Ensi\CatalogCacheClient\Dto\SearchImagesRequest',
        '\Ensi\CatalogCacheClient\Dto\EmptyDataResponse',
        '\Ensi\CatalogCacheClient\Dto\Category',
        '\Ensi\CatalogCacheClient\Dto\ActualCategoryProperty',
        '\Ensi\CatalogCacheClient\Dto\ElasticOffer',
        '\Ensi\CatalogCacheClient\Dto\SearchActualCategoryPropertiesResponse',
        '\Ensi\CatalogCacheClient\Dto\Error',
        '\Ensi\CatalogCacheClient\Dto\PaginationTypeEnum',
        '\Ensi\CatalogCacheClient\Dto\AttributeValue',
        '\Ensi\CatalogCacheClient\Dto\Offer',
        '\Ensi\CatalogCacheClient\Dto\SearchProductGroupsResponse',
        '\Ensi\CatalogCacheClient\Dto\File',
        '\Ensi\CatalogCacheClient\Dto\Image',
        '\Ensi\CatalogCacheClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\CatalogCacheClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\CatalogCacheClient\Dto\SearchOffersRequest',
        '\Ensi\CatalogCacheClient\Dto\SearchProductGroupProductsResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchIndexerTimestampsResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchPropertiesResponse',
        '\Ensi\CatalogCacheClient\Dto\ResponseBodyPagination',
        '\Ensi\CatalogCacheClient\Dto\SearchProductPropertyValuesResponse',
        '\Ensi\CatalogCacheClient\Dto\NameplateProduct',
        '\Ensi\CatalogCacheClient\Dto\SearchProductGroupsRequest',
        '\Ensi\CatalogCacheClient\Dto\ElasticCategory',
        '\Ensi\CatalogCacheClient\Dto\SearchPropertyDirectoryValuesRequest',
        '\Ensi\CatalogCacheClient\Dto\FailedJob',
        '\Ensi\CatalogCacheClient\Dto\ElasticAttribute',
        '\Ensi\CatalogCacheClient\Dto\SearchIndexerTimestampsRequest',
        '\Ensi\CatalogCacheClient\Dto\SearchOneElasticOffersRequest',
        '\Ensi\CatalogCacheClient\Dto\SearchElasticOffersRequest',
        '\Ensi\CatalogCacheClient\Dto\SearchActualCategoryPropertiesRequest',
        '\Ensi\CatalogCacheClient\Dto\SearchProductsResponse',
        '\Ensi\CatalogCacheClient\Dto\FailedJobProperties',
        '\Ensi\CatalogCacheClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\CatalogCacheClient\Dto\SearchCategoriesRequest',
        '\Ensi\CatalogCacheClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\CatalogCacheClient\Dto\Property',
        '\Ensi\CatalogCacheClient\Dto\SearchNameplateProductsResponse',
        '\Ensi\CatalogCacheClient\Dto\ElasticImage',
        '\Ensi\CatalogCacheClient\Dto\SearchFailedJobsResponseMeta',
        '\Ensi\CatalogCacheClient\Dto\GluingProperty',
        '\Ensi\CatalogCacheClient\Dto\Gluing',
        '\Ensi\CatalogCacheClient\Dto\SearchNameplatesResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchFailedJobsRequest',
        '\Ensi\CatalogCacheClient\Dto\RequestBodyPagination',
        '\Ensi\CatalogCacheClient\Dto\Nameplate',
        '\Ensi\CatalogCacheClient\Dto\SearchNameplatesRequest',
        '\Ensi\CatalogCacheClient\Dto\IndexerTimestampFillableProperties',
        '\Ensi\CatalogCacheClient\Dto\SearchPropertyDirectoryValuesResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchOffersResponse',
        '\Ensi\CatalogCacheClient\Dto\SearchImagesResponse',
        '\Ensi\CatalogCacheClient\Dto\Brand',
        '\Ensi\CatalogCacheClient\Dto\ModelInterface',
        '\Ensi\CatalogCacheClient\Dto\IndexerTimestamp',
        '\Ensi\CatalogCacheClient\Dto\FileNullable',
        '\Ensi\CatalogCacheClient\Dto\ElasticDiscount',
        '\Ensi\CatalogCacheClient\Dto\ElasticBrand',
        '\Ensi\CatalogCacheClient\Dto\SearchProductGroupProductsRequest',
        '\Ensi\CatalogCacheClient\Dto\PatchIndexerTimestampRequest',
        '\Ensi\CatalogCacheClient\Dto\ElasticOfferProperties',
        '\Ensi\CatalogCacheClient\Dto\Product',
    ];

    /** @var string */
    public static $configuration = '\Ensi\CatalogCacheClient\Configuration';
}
